diff --git a/gcc/c/c-tree.h b/gcc/c/c-tree.h
index ce25fae..cad8c75 100644
--- a/gcc/c/c-tree.h
+++ b/gcc/c/c-tree.h
@@ -350,7 +350,7 @@ struct c_declspecs {
   BOOL_BITFIELD complex_p : 1;
   /* Whether "inline" was specified.  */
   BOOL_BITFIELD inline_p : 1;
-  /* Whether "_Noreturn" was speciied.  */
+  /* Whether "_Noreturn" was specified.  */
   BOOL_BITFIELD noreturn_p : 1;
   /* Whether "__thread" or "_Thread_local" was specified.  */
   BOOL_BITFIELD thread_p : 1;
diff --git a/gcc/c/gimple-parser.c b/gcc/c/gimple-parser.c
index fb9a543..3638a67 100644
--- a/gcc/c/gimple-parser.c
+++ b/gcc/c/gimple-parser.c
@@ -141,7 +141,7 @@ c_parser_gimple_compound_statement (c_parser *parser, gimple_seq *seq)
   if (! c_parser_require (parser, CPP_OPEN_BRACE, "expected %<{%>"))
     return false;
 
-  /* A compund statement starts with optional declarations.  */
+  /* A compound statement starts with optional declarations.  */
   while (c_parser_next_tokens_start_declaration (parser))
     {
       c_parser_gimple_declaration (parser);
diff --git a/gcc/calls.c b/gcc/calls.c
index 91a4466..bd63b34 100644
--- a/gcc/calls.c
+++ b/gcc/calls.c
@@ -1342,7 +1342,7 @@ get_size_range (tree exp, tree range[2])
 
 /* Diagnose a call EXP to function FN decorated with attribute alloc_size
    whose argument numbers given by IDX with values given by ARGS exceed
-   the maximum object size or cause an unsigned oveflow (wrapping) when
+   the maximum object size or cause an unsigned overflow (wrapping) when
    multiplied.  When ARGS[0] is null the function does nothing.  ARGS[1]
    may be null for functions like malloc, and non-null for those like
    calloc that are decorated with a two-argument attribute alloc_size.  */
diff --git a/gcc/ccmp.c b/gcc/ccmp.c
index 92ca133..633d682 100644
--- a/gcc/ccmp.c
+++ b/gcc/ccmp.c
@@ -92,8 +92,8 @@ ccmp_candidate_p (gimple *g)
   gs1 = get_gimple_for_ssa_name (op1);
   if (!gs0 || !gs1 || !is_gimple_assign (gs0) || !is_gimple_assign (gs1)
       /* g, gs0 and gs1 must be in the same basic block, since current stage
-	 is out-of-ssa.  We can not guarantee the correctness when forwording
-	 the gs0 and gs1 into g whithout DATAFLOW analysis.  */
+	 is out-of-ssa.  We can not guarantee the correctness when forwarding
+	 the gs0 and gs1 into g without DATAFLOW analysis.  */
       || gimple_bb (gs0) != gimple_bb (gs1)
       || gimple_bb (gs0) != gimple_bb (g))
     return false;
@@ -118,7 +118,7 @@ ccmp_candidate_p (gimple *g)
    result of the previous CMP or CCMP.  The function expands the
    next compare based on G which is ANDed/ORed with the previous
    compare depending on CODE.
-   PREP_SEQ returns all insns to prepare opearands for compare.
+   PREP_SEQ returns all insns to prepare operands for compare.
    GEN_SEQ returns all compare insns.  */
 static rtx
 expand_ccmp_next (gimple *g, tree_code code, rtx prev,
@@ -146,7 +146,7 @@ expand_ccmp_next (gimple *g, tree_code code, rtx prev,
 
    hook gen_ccmp_first is used to expand the first compare.
    hook gen_ccmp_next is used to expand the following CCMP.
-   PREP_SEQ returns all insns to prepare opearand.
+   PREP_SEQ returns all insns to prepare operand.
    GEN_SEQ returns all compare insns.  */
 static rtx
 expand_ccmp_expr_1 (gimple *g, rtx_insn **prep_seq, rtx_insn **gen_seq)
diff --git a/gcc/ccmp.h b/gcc/ccmp.h
index bc1aafb..73364f3 100644
--- a/gcc/ccmp.h
+++ b/gcc/ccmp.h
@@ -1,4 +1,4 @@
-/* Conditional comapre related functions.
+/* Conditional compare related functions.
    Copyright (C) 2014-2017 Free Software Foundation, Inc.
 
 This file is part of GCC.
diff --git a/gcc/cfganal.c b/gcc/cfganal.c
index a3a6ea8..72ba76c 100644
--- a/gcc/cfganal.c
+++ b/gcc/cfganal.c
@@ -711,7 +711,7 @@ post_order_compute (int *post_order, bool include_entry_exit,
 
 /* Helper routine for inverted_post_order_compute
    flow_dfs_compute_reverse_execute, and the reverse-CFG
-   deapth first search in dominance.c.
+   depth first search in dominance.c.
    BB has to belong to a region of CFG
    unreachable by inverted traversal from the exit.
    i.e. there's no control flow path from ENTRY to EXIT
diff --git a/gcc/cfgexpand.c b/gcc/cfgexpand.c
index 698d43b..3817127 100644
--- a/gcc/cfgexpand.c
+++ b/gcc/cfgexpand.c
@@ -88,7 +88,7 @@ along with GCC; see the file COPYING3.  If not see
 struct ssaexpand SA;
 
 /* This variable holds the currently expanded gimple statement for purposes
-   of comminucating the profile info to the builtin expanders.  */
+   of communicating the profile info to the builtin expanders.  */
 gimple *currently_expanding_gimple_stmt;
 
 static rtx expand_debug_expr (tree);
@@ -1248,7 +1248,7 @@ set_parm_rtl (tree parm, rtx x)
 					      TYPE_MODE (TREE_TYPE (parm)),
 					      TYPE_ALIGN (TREE_TYPE (parm)));
 
-      /* If the variable alignment is very large we'll dynamicaly
+      /* If the variable alignment is very large we'll dynamically
 	 allocate it, which means that in-frame portion is just a
 	 pointer.  ??? We've got a pseudo for sure here, do we
 	 actually dynamically allocate its spilling area if needed?
@@ -1372,7 +1372,7 @@ expand_one_ssa_partition (tree var)
 					  TYPE_MODE (TREE_TYPE (var)),
 					  TYPE_ALIGN (TREE_TYPE (var)));
 
-  /* If the variable alignment is very large we'll dynamicaly allocate
+  /* If the variable alignment is very large we'll dynamically allocate
      it, which means that in-frame portion is just a pointer.  */
   if (align > MAX_SUPPORTED_STACK_ALIGNMENT)
     align = POINTER_SIZE;
@@ -1589,7 +1589,7 @@ expand_one_var (tree var, bool toplevel, bool really_expand)
       else
 	align = MINIMUM_ALIGNMENT (var, DECL_MODE (var), DECL_ALIGN (var));
 
-      /* If the variable alignment is very large we'll dynamicaly allocate
+      /* If the variable alignment is very large we'll dynamically allocate
 	 it, which means that in-frame portion is just a pointer.  */
       if (align > MAX_SUPPORTED_STACK_ALIGNMENT)
 	align = POINTER_SIZE;
@@ -2826,7 +2826,7 @@ expand_asm_stmt (gasm *stmt)
     }
 
   /* There are some legacy diagnostics in here, and also avoids a
-     sixth parameger to targetm.md_asm_adjust.  */
+     sixth parameter to targetm.md_asm_adjust.  */
   save_input_location s_i_l(locus);
 
   unsigned noutputs = gimple_asm_noutputs (stmt);
@@ -6223,7 +6223,7 @@ pass_expand::execute (function *fun)
   fun->cfg->max_jumptable_ents = 0;
 
   /* Resovle the function section.  Some targets, like ARM EABI rely on knowledge
-     of the function section at exapnsion time to predict distance of calls.  */
+     of the function section at expansion time to predict distance of calls.  */
   resolve_unique_section (current_function_decl, 0, flag_function_sections);
 
   /* Expand the variables recorded during gimple lowering.  */
@@ -6260,7 +6260,7 @@ pass_expand::execute (function *fun)
       emit_insn_before (var_seq, parm_birth_insn);
 
       /* In expand_function_end we'll insert the alloca save/restore
-	 before parm_birth_insn.  We've just insertted an alloca call.
+	 before parm_birth_insn.  We've just inserted an alloca call.
 	 Adjust the pointer to match.  */
       parm_birth_insn = var_seq;
     }
diff --git a/gcc/cfgloop.c b/gcc/cfgloop.c
index 654d188..ee5fe90 100644
--- a/gcc/cfgloop.c
+++ b/gcc/cfgloop.c
@@ -1895,7 +1895,7 @@ likely_max_stmt_executions_int (struct loop *loop)
 bool
 get_estimated_loop_iterations (struct loop *loop, widest_int *nit)
 {
-  /* Even if the bound is not recorded, possibly we can derrive one from
+  /* Even if the bound is not recorded, possibly we can derive one from
      profile.  */
   if (!loop->any_estimate)
     {
diff --git a/gcc/cgraph.c b/gcc/cgraph.c
index 3932006..ac8db64 100644
--- a/gcc/cgraph.c
+++ b/gcc/cgraph.c
@@ -2580,7 +2580,7 @@ set_const_flag_1 (cgraph_node *node, bool set_const, bool looping,
    If SET_CONST if false, clear the flag.
 
    When setting the flag be careful about possible interposition and
-   do not set the flag for functions that can be interposet and set pure
+   do not set the flag for functions that can be interposed and set pure
    flag for functions that can bind to other definition. 
 
    Return true if any change was done. */
diff --git a/gcc/cgraph.h b/gcc/cgraph.h
index 72f9702..0dcd6f4 100644
--- a/gcc/cgraph.h
+++ b/gcc/cgraph.h
@@ -82,7 +82,7 @@ enum symbol_partitioning_class
    /* External declarations are ignored by partitioning algorithms and they are
       added into the boundary later via compute_ltrans_boundary.  */
    SYMBOL_EXTERNAL,
-   /* Partitioned symbols are pur into one of partitions.  */
+   /* Partitioned symbols are put into one of partitions.  */
    SYMBOL_PARTITION,
    /* Duplicated symbols (such as comdat or constant pool references) are
       copied into every node needing them via add_symbol_to_partition.  */
@@ -145,7 +145,7 @@ public:
   void clone_references (symtab_node *node);
 
   /* Remove all stmt references in non-speculative references.
-     Those are not maintained during inlining & clonning.
+     Those are not maintained during inlining & cloning.
      The exception are speculative references that are updated along
      with callgraph edges associated with them.  */
   void clone_referring (symtab_node *node);
@@ -162,7 +162,7 @@ public:
   void remove_stmt_references (gimple *stmt);
 
   /* Remove all stmt references in non-speculative references.
-     Those are not maintained during inlining & clonning.
+     Those are not maintained during inlining & cloning.
      The exception are speculative references that are updated along
      with callgraph edges associated with them.  */
   void clear_stmts_in_references (void);
@@ -449,7 +449,7 @@ public:
 	 by varasm.c. For those DECL_ASSEMBLER_NAME have
 	 IDENTIFIER_TRANSPARENT_ALIAS set and thus also their assembler
 	 name must be unique.
-	 Weakrefs belong to this cateogry when we target assembler without
+	 Weakrefs belong to this category when we target assembler without
 	 .weakref directive.
        - weakrefs that are renamed by assembler via .weakref directive.
 	 In this case the alias may or may not be definition (depending if
@@ -935,7 +935,7 @@ public:
      version node.
 
      If non-NULL BLOCK_TO_COPY determine what basic blocks
-     was copied to prevent duplications of calls that are dead
+     was copied to prevent duplication of calls that are dead
      in the clone.
 
      SUFFIX is string that is appended to the original name.  */
@@ -1070,7 +1070,7 @@ public:
   /* Likewise indicate that a node is having address taken.  */
   void mark_address_taken (void);
 
-  /* Set fialization priority to PRIORITY.  */
+  /* Set finalization priority to PRIORITY.  */
   void set_fini_priority (priority_type priority);
 
   /* Return the finalization priority.  */
@@ -1123,7 +1123,7 @@ public:
     If SET_CONST if false, clear the flag.
 
     When setting the flag be careful about possible interposition and
-    do not set the flag for functions that can be interposet and set pure
+    do not set the flag for functions that can be interposed and set pure
     flag for functions that can bind to other definition. 
 
     Return true if any change was done. */
@@ -1486,7 +1486,7 @@ public:
   ipa_polymorphic_call_context (cgraph_edge *e);
   /* Build polymorphic call context for IP invariant CST.
      If specified, OTR_TYPE specify the type of polymorphic call
-     that takes CST+OFFSET as a prameter.  */
+     that takes CST+OFFSET as a parameter.  */
   ipa_polymorphic_call_context (tree cst, tree otr_type = NULL,
 				HOST_WIDE_INT offset = 0);
   /* Build context for pointer REF contained in FNDECL at statement STMT.
@@ -1502,7 +1502,7 @@ public:
   /* Make context non-speculative.  */
   void clear_speculation ();
 
-  /* Produce context specifying all derrived types of OTR_TYPE.  If OTR_TYPE is
+  /* Produce context specifying all derived types of OTR_TYPE.  If OTR_TYPE is
      NULL, the context is set to dummy "I know nothing" setting.  */
   void clear_outer_type (tree otr_type = NULL);
 
@@ -1525,8 +1525,8 @@ public:
   /* Use when we can not track dynamic type change.  This speculatively assume
      type change is not happening.  */
   void possible_dynamic_type_change (bool, tree otr_type = NULL);
-  /* Assume that both THIS and a given context is valid and strenghten THIS
-     if possible.  Return true if any strenghtening was made.
+  /* Assume that both THIS and a given context is valid and strengthen THIS
+     if possible.  Return true if any strengthening was made.
      If actual type the context is being used in is known, OTR_TYPE should be
      set accordingly. This improves quality of combined result.  */
   bool combine_with (ipa_polymorphic_call_context, tree otr_type = NULL);
@@ -1572,7 +1572,7 @@ struct GTY(()) cgraph_indirect_call_info
   int param_index;
   /* ECF flags determined from the caller.  */
   int ecf_flags;
-  /* Profile_id of common target obtrained from profile.  */
+  /* Profile_id of common target obtained from profile.  */
   int common_target_id;
   /* Probability that call will land in function with COMMON_TARGET_ID.  */
   int common_target_probability;
@@ -1720,10 +1720,10 @@ struct GTY((chain_next ("%h.next_caller"), chain_prev ("%h.prev_caller"),
      to a same call statement:
      1) a direct call (to expected_fn)
      2) an indirect call (to call_target)
-     3) a IPA_REF_ADDR refrence to expected_fn.
+     3) a IPA_REF_ADDR reference to expected_fn.
 
      Optimizers may later redirect direct call to clone, so 1) and 3)
-     do not need to necesarily agree with destination.  */
+     do not need to necessarily agree with destination.  */
   unsigned int speculative : 1;
   /* Set to true when caller is a constructor or destructor of polymorphic
      type.  */
@@ -1865,7 +1865,7 @@ public:
   unsigned output : 1;
 
   /* Set when variable has statically initialized pointer
-     or is a static bounds variable and needs initalization.  */
+     or is a static bounds variable and needs initialization.  */
   unsigned need_bounds_init : 1;
 
   /* Set if the variable is dynamically initialized, except for
@@ -1913,7 +1913,7 @@ is_a_helper <cgraph_node *>::test (symtab_node *p)
   return p && p->type == SYMTAB_FUNCTION;
 }
 
-/* Report whether or not THIS symtab node is a vriable, aka varpool_node.  */
+/* Report whether or not THIS symtab node is a variable, aka varpool_node.  */
 
 template <>
 template <>
@@ -1999,8 +1999,8 @@ public:
   /* C++ frontend produce same body aliases all over the place, even before PCH
      gets streamed out. It relies on us linking the aliases with their function
      in order to do the fixups, but ipa-ref is not PCH safe.  Consequentely we
-     first produce aliases without links, but once C++ FE is sure he won't sream
-     PCH we build the links via this function.  */
+     first produce aliases without links, but once C++ FE is sure it won't
+     stream PCH we build the links via this function.  */
   void process_same_body_aliases (void);
 
   /* Perform simple optimizations based on callgraph.  */
@@ -2224,7 +2224,7 @@ public:
 
   bool cpp_implicit_aliases_done;
 
-  /* Hash table used to hold sectoons.  */
+  /* Hash table used to hold sections.  */
   hash_table<section_name_hasher> *GTY(()) section_hash;
 
   /* Hash table used to convert assembler names into nodes.  */
@@ -2376,7 +2376,7 @@ symtab_node::real_symbol_p (void)
 }
 
 /* Return true if DECL should have entry in symbol table if used.
-   Those are functions and static & external veriables*/
+   Those are functions and static & external variables.  */
 
 static inline bool
 decl_in_symtab_p (const_tree decl)
@@ -3192,7 +3192,7 @@ varpool_node::call_for_symbol_and_aliases (bool (*callback) (varpool_node *,
   return false;
 }
 
-/* Return true if refernece may be used in address compare.  */
+/* Return true if reference may be used in address compare.  */
 
 inline bool
 ipa_ref::address_matters_p ()
@@ -3235,7 +3235,7 @@ ipa_polymorphic_call_context::clear_speculation ()
   speculative_maybe_derived_type = false;
 }
 
-/* Produce context specifying all derrived types of OTR_TYPE.  If OTR_TYPE is
+/* Produce context specifying all derived types of OTR_TYPE.  If OTR_TYPE is
    NULL, the context is set to dummy "I know nothing" setting.  */
 
 inline void
diff --git a/gcc/cgraphclones.c b/gcc/cgraphclones.c
index ec90066..39f6083 100644
--- a/gcc/cgraphclones.c
+++ b/gcc/cgraphclones.c
@@ -18,7 +18,7 @@ You should have received a copy of the GNU General Public License
 along with GCC; see the file COPYING3.  If not see
 <http://www.gnu.org/licenses/>.  */
 
-/* This module provide facilities for clonning functions. I.e. creating
+/* This module provide facilities for cloning functions. I.e. creating
    new functions based on existing functions with simple modifications,
    such as replacement of parameters.
 
@@ -496,7 +496,7 @@ cgraph_node::create_clone (tree new_decl, gcov_type gcov_count, int freq,
     {
       /* Redirect calls to the old version node to point to its new
 	 version.  The only exception is when the edge was proved to
-	 be unreachable during the clonning procedure.  */
+	 be unreachable during the cloning procedure.  */
       if (!e->callee
 	  || DECL_BUILT_IN_CLASS (e->callee->decl) != BUILT_IN_NORMAL
 	  || DECL_FUNCTION_CODE (e->callee->decl) != BUILT_IN_UNREACHABLE)
diff --git a/gcc/cgraphunit.c b/gcc/cgraphunit.c
index 7b4f47e..eaa0d51 100644
--- a/gcc/cgraphunit.c
+++ b/gcc/cgraphunit.c
@@ -75,7 +75,7 @@ along with GCC; see the file COPYING3.  If not see
 	   a) early optimizations. These are local passes executed in
 	      the topological order on the callgraph.
 
-	      The purpose of early optimiations is to optimize away simple
+	      The purpose of early optimizations is to optimize away simple
 	      things that may otherwise confuse IP analysis. Very simple
 	      propagation across the callgraph is done i.e. to discover
 	      functions without side effects and simple inlining is performed.
@@ -83,7 +83,7 @@ along with GCC; see the file COPYING3.  If not see
 	   b) early small interprocedural passes.
 
 	      Those are interprocedural passes executed only at compilation
-	      time.  These include, for example, transational memory lowering,
+	      time.  These include, for example, transactional memory lowering,
 	      unreachable code removal and other simple transformations.
 
 	   c) IP analysis stage.  All interprocedural passes do their
@@ -95,7 +95,7 @@ along with GCC; see the file COPYING3.  If not see
 	      both reduce linking times and linktime memory usage by	
 	      not having to represent whole program in memory.
 
-	   d) LTO sreaming.  When doing LTO, everything important gets
+	   d) LTO streaming.  When doing LTO, everything important gets
 	      streamed into the object file.
 
        Compile time and or linktime analysis stage (WPA):
@@ -107,7 +107,7 @@ along with GCC; see the file COPYING3.  If not see
 	      IP propagation. This is done based on the earlier analysis
 	      without having function bodies at hand.
 	   f) Ltrans streaming.  When doing WHOPR LTO, the program
-	      is partitioned and streamed into multple object files.
+	      is partitioned and streamed into multiple object files.
 
        Compile time and/or parallel linktime stage (ltrans)
 
@@ -118,7 +118,7 @@ along with GCC; see the file COPYING3.  If not see
 	 2) Virtual clone materialization
 	    (cgraph_materialize_clone)
 
-	    IP passes can produce copies of existing functoins (such
+	    IP passes can produce copies of existing functions (such
 	    as versioned clones or inline clones) without actually
 	    manipulating their bodies by creating virtual clones in
 	    the callgraph. At this time the virtual clones are
@@ -335,7 +335,7 @@ symbol_table::process_new_functions (void)
 	    {
 	      bool summaried_computed = ipa_fn_summaries != NULL;
 	      g->get_passes ()->execute_early_local_passes ();
-	      /* Early passes compure inline parameters to do inlining
+	      /* Early passes compute inline parameters to do inlining
 		 and splitting.  This is redundant for functions added late.
 		 Just throw away whatever it did.  */
 	      if (!summaried_computed)
@@ -691,7 +691,7 @@ cgraph_node::analyze (void)
 /* C++ frontend produce same body aliases all over the place, even before PCH
    gets streamed out. It relies on us linking the aliases with their function
    in order to do the fixups, but ipa-ref is not PCH safe.  Consequentely we
-   first produce aliases without links, but once C++ FE is sure he won't sream
+   first produce aliases without links, but once C++ FE is sure he won't stream
    PCH we build the links via this function.  */
 
 void
@@ -842,7 +842,7 @@ varpool_node::finalize_decl (tree decl)
   notice_global_symbol (decl);
   if (TREE_THIS_VOLATILE (decl) || DECL_PRESERVE_P (decl)
       /* Traditionally we do not eliminate static variables when not
-	 optimizing and when not doing toplevel reoder.  */
+	 optimizing and when not doing toplevel reorder.  */
       || node->no_reorder
       || ((!flag_toplevel_reorder
           && !DECL_COMDAT (node->decl)
@@ -868,7 +868,7 @@ varpool_node::finalize_decl (tree decl)
 /* EDGE is an polymorphic call.  Mark all possible targets as reachable
    and if there is only one target, perform trivial devirtualization. 
    REACHABLE_CALL_TARGETS collects target lists we already walked to
-   avoid udplicate work.  */
+   avoid duplicate work.  */
 
 static void
 walk_polymorphic_call_targets (hash_set<void *> *reachable_call_targets,
@@ -1133,7 +1133,7 @@ analyze_functions (bool first_time)
 			|| opt_for_fn (edge->callee->decl, optimize)
 			/* Weakrefs needs to be preserved.  */
 			|| edge->callee->alias
-			/* always_inline functions are inlined aven at -O0.  */
+			/* always_inline functions are inlined even at -O0.  */
 		        || lookup_attribute
 				 ("always_inline",
 			          DECL_ATTRIBUTES (edge->callee->decl))
@@ -1728,7 +1728,7 @@ cgraph_node::expand_thunk (bool output_asm_thunks, bool force_gimple_thunk)
       greturn *ret;
       bool alias_is_noreturn = TREE_THIS_VOLATILE (alias);
 
-      /* We may be called from expand_thunk that releses body except for
+      /* We may be called from expand_thunk that releases body except for
 	 DECL_ARGUMENTS.  In this case force_gimple_thunk is true.  */
       if (in_lto_p && !force_gimple_thunk)
 	get_untransformed_body ();
@@ -1832,7 +1832,7 @@ cgraph_node::expand_thunk (bool output_asm_thunks, bool force_gimple_thunk)
       gimple_call_set_from_thunk (call, true);
       gimple_call_set_with_bounds (call, instrumentation_clone);
 
-      /* Return slot optimization is always possible and in fact requred to
+      /* Return slot optimization is always possible and in fact required to
          return values with DECL_BY_REFERENCE.  */
       if (aggregate_value_p (resdecl, TREE_TYPE (thunk_fndecl))
 	  && (!is_gimple_reg_type (TREE_TYPE (resdecl))
@@ -2507,14 +2507,14 @@ symbol_table::compile (void)
 
   /* When weakref support is missing, we automatically translate all
      references to NODE to references to its ultimate alias target.
-     The renaming mechanizm uses flag IDENTIFIER_TRANSPARENT_ALIAS and
+     The renaming mechanism uses flag IDENTIFIER_TRANSPARENT_ALIAS and
      TREE_CHAIN.
 
      Set up this mapping before we output any assembler but once we are sure
      that all symbol renaming is done.
 
      FIXME: All this uglyness can go away if we just do renaming at gimple
-     level by physically rewritting the IL.  At the moment we can only redirect
+     level by physically rewriting the IL.  At the moment we can only redirect
      calls, so we need infrastructure for renaming references as well.  */
 #ifndef ASM_OUTPUT_WEAKREF
   symtab_node *node;
diff --git a/gcc/config.in b/gcc/config.in
index bf2aa7b..e7ebed5 100644
--- a/gcc/config.in
+++ b/gcc/config.in
@@ -220,7 +220,7 @@
 #endif
 
 
-/* Define if you want all gimple types to be verified after gimplifiation.
+/* Define if you want all gimple types to be verified after gimplification.
    This is cheap. */
 #ifndef USED_FOR_TARGET
 #undef ENABLE_TYPES_CHECKING
diff --git a/gcc/config/i386/i386-c.c b/gcc/config/i386/i386-c.c
index 9a79a21..b838cdd 100644
--- a/gcc/config/i386/i386-c.c
+++ b/gcc/config/i386/i386-c.c
@@ -42,7 +42,7 @@ ix86_target_macros_internal (HOST_WIDE_INT isa_flag,
 			     void (*def_or_undef) (cpp_reader *,
 						   const char *))
 {
-  /* For some of the k6/pentium varients there weren't separate ISA bits to
+  /* For some of the k6/pentium variants there weren't separate ISA bits to
      identify which tune/arch flag was passed, so figure it out here.  */
   size_t arch_len = strlen (ix86_arch_string);
   size_t tune_len = strlen (ix86_tune_string);
